@use '../../../global/styles/styles-variables' as *;
@use 'styles/logo.variables' as *;
@use 'styles/logo.variations' as variations;
:host {
  @include digi-logo--variables;
  $base: '.digi-logo';

  .digi-logo {

    display: flex;
    align-items: center;
    color: var(--COLOR);
    padding: var(--PADDING);
    font-family: var(--digi--logo--font-family);
    font-size: var(--digi--logo--font-size);
    font-weight: var(--digi--logo--font-weight);
    line-height: var(--digi--logo--line-height);

    &--primary {
      @include variations.primary;
    }

    &--secondary {
      @include variations.secondary;

      --digi--logo--system-name-color--primary: var(--digi--logo--system-name-color--secondary);
    }

    &--small {
      @include variations.small;

      #{$base}__img {
        flex-shrink: 0;
      }
    }

    &--large {

      @include variations.large;

      svg {
        min-width: var(--digi--logo--img--min-width);
      }
    }

    &__img {
      display: flex;
    }

    svg {
      fill: currentColor;
      width: 100%;
      height: auto;

      max-width: var(--digi--logo--img--max-width);
    }

    &--system-name {
      --COLOR: var(--digi--logo--system-name-color--primary);

      svg {
        --digi--logo--img--max-width: var(--digi--logo--img--max-width--system); //Small
      }
    }
    &__system-name {
      position: relative;
      display: inline-block;
      padding: var(--digi--logo--padding--system);
      margin: var(--digi--logo--margin--system);
      font-size: var(--digi--logo--font-size--system);

      &::before {
        content: '';
        display: inline-block;
        position: absolute;
        left: 0;
        top: 0;
        bottom: 0;
        border-left: solid var(--digi--logo--border-width) var(--COLOR--BORDER);
        pointer-events: none;
      }
    }

    @media (min-width: $digi--breakpoint--large) {

      svg {
        --digi--logo--img--max-width: var(--digi--logo--img--max-width--large);
      }

      &--system-name {

        svg {
          --digi--logo--img--max-width: var(--digi--logo--img--max-width--system);
        }
      }

      &__system-name {
        --digi--logo--font-size--system: var(--digi--logo--font-size--system--large);
        --digi--logo--margin--system: var(--digi--logo--margin--system--large);
        --digi--logo--padding--system: var(--digi--logo--padding--system--large);

        &::before {
          --digi--logo--border-width: var(--digi--logo--border-width--large) 
        }
      }
    }
  }
}
